#include<avr/io.h>

void rotschalten(int nr)
{
    //vergl. Schaltplan Kapitel 3.5.2
    switch(nr)
    {
        case 0:
            PORTA &=0b11111100; //L1 aus
            PORTA |=0b00000010; //L1 rot
        break;
        case 1:
            PORTA &=0b11110011;  //L2 aus
            PORTA |=0b00001000;  //L2 rot
        break;
        case 2:
            PORTA &=0b11001111;  //L3 aus
            PORTA |=0b00100000;  //L3 rot
        break;
        case 3:
            PORTA &=0b00111111;  //L4 aus
            PORTA |=0b10000000;  //L4 rot
        break;
        case 4:
            PORTC &=0b00111111;  //L5 aus
            PORTC |=0b10000000;  //L5 rot
        break;
        case 5:
            PORTC &=0b11001111;  //L6 aus
            PORTC |=0b00100000;  //L6 rot
        break;
        case 6:
            PORTC &=0b11110011;  //L7 aus
            PORTC |=0b00001000;  //L7 rot
        break;
        case 7:
            PORTC &=0b11111100;  //L8 aus
            PORTC |=0b00000010;  //L8 rot
        break;
        case 8:
            PORTD &=0b00111111;  //L9 aus
            PORTD |=0b10000000;  //L9 rot
        break;
    }
}


int main()
{
    DDRA = 0b11111111;
    DDRB = 0b00000000;
    DDRC = 0b11111111;
    DDRD = 0b11000000;

    PORTA = 0b00000000;
    PORTC = 0b00000000;
    PORTD = 0b00000000;

    rotschalten(0);
    rotschalten(1);
    rotschalten(2);
    rotschalten(3);
    rotschalten(4);
    rotschalten(5);
    rotschalten(6);
    rotschalten(7);
    rotschalten(8);



    while(1)
    {
    }

    return 0;
}
